Bug 198426 - [PATCH] Update audio/ncmpcpp to 0.6.3
Summary: [PATCH] Update audio/ncmpcpp to 0.6.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-08 17:08 UTC by yamagi
Modified: 2015-03-25 19:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (dhn)


Attachments
svn patch to 0.6.3 (1.40 KB, patch)
2015-03-08 17:08 UTC, yamagi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yamagi 2015-03-08 17:08:13 UTC
Created attachment 154023 [details]
svn patch to 0.6.3

The attached patch updates ncmpcpp to version 0.6.3. This is another small bugfix release without any big, user-visible changes. The upstream changelog is:

 - Fix floating point exception when adding a specific number of random items.
 - Passwords are no longer added to the input history.
 - It is now possible to put more than one specific flag consecutively in formats.
 - Bash completion file was removed as it no longer works.
 - Description of available configuration options in man page was updated.

Changes to the port:
 - Bump version to 0.6.3
 - Remove ${WRKSRC}/doc/ncmpcpp-completion.bash
Comment 1 Johannes Jost Meixner freebsd_committer 2015-03-23 09:39:57 UTC
I'll take it (maintainer timeout).
Comment 2 commit-hook freebsd_committer 2015-03-25 19:15:50 UTC
A commit references this bug:

Author: xmj
Date: Wed Mar 25 19:15:28 UTC 2015
New revision: 382260
URL: https://svnweb.freebsd.org/changeset/ports/382260

Log:
  audio/ncmpcpp: update to 0.6.3

  - Update to 0.6.3

  PR:		198426
  Differential Revision:	https://reviews.freebsd.org/D2117
  Submitted by:	yamagi@yamagi.org
  Approved by:	maintainer timeout (2 weeks)
  Approved by:	swills (mentor)

Changes:
  head/audio/ncmpcpp/Makefile
  head/audio/ncmpcpp/distinfo
Comment 3 Johannes Jost Meixner freebsd_committer 2015-03-25 19:21:12 UTC
Committed, thanks!